# Le Guide de &kst;

Barth
Netterfield

    kst@omega.astro.utoronto.ca

&traducteurSimonDepiets;
2002-07-27
0.72

Kst est un programme de visionnage de courbes et de données, avec des arguments en ligne de commande simples, un zoom de la souris et du clavier puissant et enfin un enregistreur graphique en temps réel.

KDE
kst

## Introduction

### Fonctionnalités

La documentation de kst n'était pas complète au moment de l'installation de cette application. Si vous voulez en écrire, faites-le savoir à cbn. Si vous connaissez cbn, vous pouvez l'aider à en écrire. Sinon, soyez patient....

## Usage de la Ligne de Commande et Exemples

Une utilisation typique de kst est de faire des courbes X Y de fichiers de données depuis la ligne de commande. Kst peut lire les données ASCII ou les fichiers binaires compatibles readdata. Les options sont :

### Syntaxe de la ligne de commande

    kst [Options-Qt] [Options-KDE] [options] [Fichiers]

`[Fichiers]` Un fichier .kst, un ou plusieurs fichiers données. Les formats supportés sont les caractères de la table ASCII, les fichiers BOOMERANG ou BLAST. Les options pouvant être mises en place via les paramètres sont stockées dans les fichiers .kst. Les paramètres suivants peuvent être utilisés pour remplacer les options des fichiers .kst : `-F fichier_de_données`, `-n NS`, `-s NS`, `-f F0`, `-a`. Le reste ne peut être remplacé. Si un paramètre remplacé est donné, il est appliqué à tous les vecteurs de la courbe.

Les données ASCII venant de stdin peuvent être mises en courbe en incluant « stdin » dans la liste des `Fichiers`.

`-y Y` La source pour les données de l'axe Y. Pour les fichiers ASCII, c'est la colonne. Pour les fichiers binaires, c'est le nom du champ. Pour dessiner plusieurs courbes, il peut être spécifié plusieurs fois. Le même fichier source, le pas, et les données de l'axe X sont gérées.

`-e E` Barres d'erreurs pour les données de l'axe Y. Pour les fichiers ASCII, cela réfère à la colonne contenant les données. Pour les fichiers binaires, utilisez le nom du champ. Si plusieurs options `-y Y` sont données, il devrait aussi être utilisé plusieurs fois. Les entrées Y individuelles sont associées en ordre avec plusieurs entrées E.

`-x X` La source pour les données de l'axe X. Pour les fichiers ASCII, c'est la colonne. Pour les fichiers readdata, c'est le nom du champ. Si cette option n'est pas spécifiée, le numéro de ligne du fichier est utilisée. Cette option ne peut être donnée qu'une seule fois.

`-p P` La source pour le spectre de puissance. Pour les fichiers ASCII, c'est la colonne. Pour les fichiers binaires, c'est le nom du champ. Pour dessiner un spectre de puissance constitué de plusieurs courbes, cela peut être spécifié plusieurs fois. Le même fichier source, les pas et longueurs FFT sont utilisées pour tous les spectres de puissance appelés depuis la ligne de commande.

`-l P` La longueur du FFT utilisé dans une estimation de spectre de puissance est de 2^P.

`-h H` La source pour les histogrammes. Pour les fichiers ASCII, c'est la colonne. Pour les fichiers binaires, c'est le nom du champ. Plusieurs histogrammes peuvent être définis depuis la ligne de commande.

`-m NC` Utilisé quand plusieurs courbes ont été définies. Au lieu de mettre toutes les courbes sur le même graphique, crée un graphique par courbe.

`-f F0` Le premier numéro de cadre (pour les fichiers readdata) ou de rangée (pour les fichiers ASCII) à lire.

`-n` Le nombre de cadres (pour les fichiers readdata) ou de rangées (pour les fichiers ASCII) à lire.

`-s NS` Le nombre de cadres ou de rangées à sauter à chaque lecture. Cela est utile lorsque vous travailler avec des fichiers de données très lourds, pour accélérer la procédure et conserver de la mémoire, si les données varient très peu.

`-a` Utilisée avec le `-s NS` : mieux que sauter tous les NS cadres, faites en une moyenne. Cela propose une combinaison de filtres très basiques et une conservation de la mémoire.

`-F Fichier_de_données` Surpasser le fichier d'où les données seront lues pour tous les vecteurs listés dans le fichier .kst. Ne peut être utilisée qu'en conjonction avec un fichier kst.

`--print fichierps` Au lieu d'afficher le graphique, exportez l'image à un fichier PostScript et quittez. *Note de BUG : souvent quand aucune fenêtre n'est ouverte à l'écran, un accès au serveur X est encore nécessaire.*

`--png fichierpng` Au lieu d'afficher le graphique, exportez l'image vers un fichier png de dimensions 640x480 et quittez. *Note de BUG : souvent quand aucune fenêtre n'est ouverte, l'accès au serveur X est encore nécessaire.*

### Exemples en ligne de commande

Beaucoup d'exemples d'utilisation typique suivent :

Pour mettre en courbe la première colonne d'un fichier (tmp.dat) de données ASCII :

    omega% kst -y 1 tmp.dat

Pour mettre en courbe les colonnes 2, 3 et 4 en fonction de la colonne 1 d'un fichier ASCII, en une courbe :

    omega% kst -x 1 -y 2 -y 3 -y 4 tmp.dat

Pour mettre en courbe les colonnes 2, 3 et 4 en fonction de la colonne 1 d'un fichier ASCII, en trois courbes, arrangées en une colonne :

    omega% kst -x 1 -y 2 -y 3 -y 4 -m 1 tmp.dat

Pour mettre en courbe 500 rangées de la colonne 2 d'un fichier ASCII, en commençant à la ligne 100 :

    omega% kst -y 2 -f 100 -n 500 tmp.dat

Pour mettre en courbe les 100 000 rangées de la colonne 2 d'un fichier ASCII, en faisant les moyennes par groupe de 100 rangées :

    omega% kst -y 2 -f 0 -n 100000 -s 100 -a tmp.dat

## Questions, Réponses et Astuces

### Question 1

La réponse

## Installation

Pas encore écrit

### Comment obtenir kst

Pas encore écrit

### Configuration minimale

Pas encore écrit

### Compilation et Installation

Compiler kst est très simple. Vous devriez faire ce qui suit :

    &percnt; ./configure
    &percnt; make
    &percnt; make install

Cela devrait marcher ! Si vous rencontriez des problèmes, veuillez les rapporter à l'auteur sur cbn@omega.astro.utoronto.ca

&underFDL;